var $AdfMenuSubIdUtils$$ = {};
$goog$exportSymbol$$("AdfMenuSubIdUtils", $AdfMenuSubIdUtils$$);
$AdfMenuSubIdUtils$$.$getMenuItemElement$ = function $$AdfMenuSubIdUtils$$$$getMenuItemElement$$($component$$2481$$, $rootElement$$187$$, $subElementId$$74$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$74$$);
  if ($AdfMenuUtils$$.$isOnMenuBar$($component$$2481$$)) {
    if ("bar-item-text" == $subElementId$$74$$ || "text" == $subElementId$$74$$) {
      return $AdfMenuSubIdUtils$$.$_getBarItemTextElement$($rootElement$$187$$);
    }
    if ("bar-item-icon" == $subElementId$$74$$) {
      return $AdfMenuSubIdUtils$$.$_getBarItemIconElement$($rootElement$$187$$);
    }
  } else {
    if ($AdfMenuUtils$$.$isInMenu$($component$$2481$$)) {
      if ("submenu-text" == $subElementId$$74$$ || "text" == $subElementId$$74$$) {
        return $AdfMenuSubIdUtils$$.$_getMenuItemTextElement$($rootElement$$187$$);
      }
      if ("submenu-icon" == $subElementId$$74$$) {
        return $AdfMenuSubIdUtils$$.$_getMenuItemIconElement$($rootElement$$187$$);
      }
    }
  }
  return null;
};
$goog$exportSymbol$$("AdfMenuSubIdUtils.getMenuItemElement", $AdfMenuSubIdUtils$$.$getMenuItemElement$);
$AdfMenuSubIdUtils$$.$getMenuItemBestMatchSubId$ = function $$AdfMenuSubIdUtils$$$$getMenuItemBestMatchSubId$$($component$$2482_mbTextElement_menuTextElement$$, $mbIconElement_menuIconElement_rootElement$$188$$, $childElement$$43$$) {
  if ($AdfMenuUtils$$.$isOnMenuBar$($component$$2482_mbTextElement_menuTextElement$$)) {
    $component$$2482_mbTextElement_menuTextElement$$ = $AdfMenuSubIdUtils$$.$_getBarItemTextElement$($mbIconElement_menuIconElement_rootElement$$188$$);
    if (null != $component$$2482_mbTextElement_menuTextElement$$ && $component$$2482_mbTextElement_menuTextElement$$ == $childElement$$43$$) {
      return "bar-item-text";
    }
    $mbIconElement_menuIconElement_rootElement$$188$$ = $AdfMenuSubIdUtils$$.$_getBarItemIconElement$($mbIconElement_menuIconElement_rootElement$$188$$);
    if (null != $mbIconElement_menuIconElement_rootElement$$188$$ && $mbIconElement_menuIconElement_rootElement$$188$$ == $childElement$$43$$) {
      return "bar-item-icon";
    }
  } else {
    if ($AdfMenuUtils$$.$isInMenu$($component$$2482_mbTextElement_menuTextElement$$)) {
      $component$$2482_mbTextElement_menuTextElement$$ = $AdfMenuSubIdUtils$$.$_getMenuItemTextElement$($mbIconElement_menuIconElement_rootElement$$188$$);
      if (null != $component$$2482_mbTextElement_menuTextElement$$ && $component$$2482_mbTextElement_menuTextElement$$ == $childElement$$43$$) {
        return "submenu-text";
      }
      $mbIconElement_menuIconElement_rootElement$$188$$ = $AdfMenuSubIdUtils$$.$_getMenuItemIconElement$($mbIconElement_menuIconElement_rootElement$$188$$);
      if (null != $mbIconElement_menuIconElement_rootElement$$188$$ && $mbIconElement_menuIconElement_rootElement$$188$$ == $childElement$$43$$) {
        return "submenu-icon";
      }
    }
  }
};
$goog$exportSymbol$$("AdfMenuSubIdUtils.getMenuItemBestMatchSubId", $AdfMenuSubIdUtils$$.$getMenuItemBestMatchSubId$);
$AdfMenuSubIdUtils$$.$_getBarItemTextElement$ = function $$AdfMenuSubIdUtils$$$$_getBarItemTextElement$$($rootElement$$189$$) {
  return $AdfDomUtils$$.$getDescendentElement$($rootElement$$189$$, "A", 0);
};
$AdfMenuSubIdUtils$$.$_getMenuItemTextElement$ = function $$AdfMenuSubIdUtils$$$$_getMenuItemTextElement$$($rootElement$$190$$) {
  return $AdfDomUtils$$.$getDescendentElement$($rootElement$$190$$, "TD", 1);
};
$AdfMenuSubIdUtils$$.$_getBarItemIconElement$ = function $$AdfMenuSubIdUtils$$$$_getBarItemIconElement$$($iconTd_rootElement$$191$$) {
  $iconTd_rootElement$$191$$ = $AdfDomUtils$$.$getDescendentElement$($iconTd_rootElement$$191$$, "TD", 0);
  return $AdfDomUtils$$.$getDescendentElement$($iconTd_rootElement$$191$$, "IMG", 0);
};
$AdfMenuSubIdUtils$$.$_getMenuItemIconElement$ = function $$AdfMenuSubIdUtils$$$$_getMenuItemIconElement$$($iconTd$$1_rootElement$$192$$) {
  $iconTd$$1_rootElement$$192$$ = $AdfDomUtils$$.$getDescendentElement$($iconTd$$1_rootElement$$192$$, "TD", 0);
  return $AdfDomUtils$$.$getDescendentElement$($iconTd$$1_rootElement$$192$$, "IMG", 0);
};
